package com.jxdinfo.hussar.core.banner;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.banner.AbstractHussarBanner;
import java.io.InputStream;
import java.util.Formatter;
import java.util.Properties;
import org.springframework.core.env.Environment;

public class HussarTongWebBanner extends AbstractHussarBanner {
  protected void injectEnvironmentInfoIntoBanner(Formatter paramFormatter, Environment paramEnvironment, Class<?> paramClass) {
    paramFormatter.format("TongWeb Version: %s%n", new Object[] { getVersion() });
    paramFormatter.format("%s%n", new Object[] { LINE_SEPARATOR });
  }
  
  protected boolean check() {
    try {
      getClass().getClassLoader().loadClass("com.tongweb.container.util.ServerInfo");
    } catch (ClassNotFoundException classNotFoundException) {
      return false;
    } 
    return true;
  }
  
  public int getOrder() {
    return 4;
  }
  
  private String getVersion() {
    String str = null;
    try {
      Properties properties = new Properties();
      InputStream inputStream = getClass().getResourceAsStream("/com/tongweb/container/util/ServerInfo.properties");
      properties.load(inputStream);
      str = properties.getProperty("server.info");
    } catch (Throwable throwable) {}
    if (str == null || str.equals("PRODUCT_VERSION"))
      str = "TongWeb/7.0.0"; 
    return str;
  }
}
